Subject: bug#19827: closed (Re: sed 4.2.2 hangs when passed specially crafted program)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 May 2015 04:59:03 +0000

Your bug report

#19827: sed 4.2.2 hangs when passed specially crafted program

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19827: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19827
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: sed 4.2.2 hangs when passed specially crafted program
From: Jim Meyering <[email-masked]>
To: [email-masked], Alexander Nasonov <[email-masked]>
Date: Sun, 3 May 2015 21:57:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 19827 notabug
thanks

I've just noticed that there are some bug reports that have never
reached my inbox.
The first one I've examined is https://debbugs.gnu.org/19827, which reports
that you used the afl fuzzer http://lcamtuf.coredump.cx/afl/ to find that this
command never terminates:

  echo | sed/sed 'G;D'

However, that is a legitimate program, and
with that input, it happens to specify an endless loop.
Thus, I'm marking this as "notabug" and closing the issue.
However, you are welcome to make further comments.

Thank you for helping to test GNU sed!
I'm planning to release sed-3.4 soon, so if you have more
time for testing (using the latest from git), it'd be great to
see how we're doing.

Subject: sed 4.2.2 hangs when passed specially crafted program
From: Alexander Nasonov <[email-masked]>
To: [email-masked]
Date: Tue, 10 Feb 2015 08:18:27 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This was found by the afl fuzzer http://lcamtuf.coredump.cx/afl/

$ echo | gsed -f afl-out/crashes/id*03,*
^C

$ cat afl-out/crashes/id*03,*
$G
$D

$ hexdump -C afl-out/crashes/id*03,*
00000000  24 47 0a 24 44 0a 0a 0a                           |$G.$D...|
00000008

or

echo | gsed -e '$G
> $D
> '
^C

I ran the fuzzer and the test on NetBSD amd64 7.99.x.

Alex